#include <vector>
#include "Shape.h"
#include "Point.h"
#include "Circle.h"
#include "Rectangle.h"
#include "Scene.h"

int main(int argc, char **argv) {
    std::vector<Shape*> shapes;

    shapes.push_back(new Point(30, 10, Colors::RED));
    shapes.push_back(new Point(28, 8, Colors::BLUE));
    shapes.push_back(new Point(32, 8, Colors::BLUE));


    shapes.push_back(new Circle(30, 10, 10, Colors::WHITE));
    shapes.push_back(new Circle(30, 20, 15, Colors::GREEN));


    shapes.push_back(new Rectangle(5, 21, 10, 10, Colors::MAGENTA));

    shapes.push_back(new Point(5, 10, Colors::WHITE));
    shapes.push_back(new Point(15, 7, Colors::WHITE));
    shapes.push_back(new Point(7, 5, Colors::WHITE));


    auto *s = new Scene(shapes);
    s->draw();

    delete s;


    return 0;
}