#include "Rectangle.h"

Rectangle::Rectangle(int x, int y, int width, int height, Colors color) : Shape(Position(x, y), color) {
    this->width = width;
    this->height = height;
}

void Rectangle::draw() {
    int x_start = position.x - (width / 2);
    int x_stop = position.x + (width / 2);

    int y_start = position.y - (height / 2);
    int y_stop = position.y + (height / 2);

    for(int i = x_start; i <= x_stop; i++) {
        ansiConsole.printText(i, position.y - (height / 2), "#", color);
        ansiConsole.printText(i, position.y + (height / 2), "#", color);
    }
    for(int i = y_start; i< y_stop; i++) {
        ansiConsole.printText(position.x + (width / 2), i, "#", color);
        ansiConsole.printText(position.x - (width / 2), i, "#", color);
    }
}